import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Label;
import java.awt.MediaTracker;
import java.awt.Panel;
import java.awt.TextArea;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.StringTokenizer;
import java.util.Vector;

class OneLineComment extends Panel
{
    private TextField itsComment;
    private Defs itsDefs;

    public OneLineComment(Defs defs)
    {
		itsDefs = defs;

		if (itsDefs.isShowOneLineComment())
		{
			int columns;

			if (itsDefs.getSize() == Defs.BIG_SIZE)
			{
				if (itsDefs.isShowMultiLineComment())
				{
					columns = 92;
				}
				else
				{
					columns = 61;
				}
			}
			else // SMALL_SIZE
			{
				if (itsDefs.isShowMultiLineComment())
				{
					columns = 78;
				}
				else
				{
					columns = 47;
				}
			}

			itsComment = new TextField(columns);

            if (defs.isShowCoordinates())
            {
                add(new Label());
            }

			setFont(itsDefs.getCommentFont());
			add(itsComment);
		}
    }

    public void set(String text)
    {
		if (itsComment != null)
		{
			itsComment.setText(text);
		}
    }

    public void clear()
    {
		if (itsComment != null)
		{
			itsComment.setText("");
		}
    }
}
	