import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Label;
import java.awt.MediaTracker;
import java.awt.Panel;
import java.awt.TextArea;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.StringTokenizer;
import java.util.Vector;

class Move
{
    private int itsNumber;
    private int itsColumn;
    private int itsRow;
    private String itsOneLineComment;
    private String[] itsMultiLineComment;
    private Text[] itsText;
    private Variant[] itsVariant;

    public Move(int number, int column, int row)
    {
        itsNumber = number;
        itsColumn = column;
        itsRow = row;
    }

    public int getNumber()
    {
        return itsNumber;
    }

    public int getRow()
    {
        return itsRow;
    }

    public int getCol()
    {
        return itsColumn;
    }

    public void setOneLineComment(String oneLineComment)
    {
        itsOneLineComment = oneLineComment;
    }

    public String getOneLineComment()
    {
        return itsOneLineComment;
    }

    public void setMultiLineComment(String[] multiLineComment)
    {
        itsMultiLineComment = multiLineComment;
    }

    public String[] getMultiLineComment()
    {
        return itsMultiLineComment;
    }

    public Text[] getText()
    {
        return itsText;
    }

    public void setText(Text[] text)
    {
        itsText = text;
    }

    public Variant[] getVariant()
    {
        return itsVariant;
    }

    public void setVariant(Variant[] variant)
    {
        itsVariant = variant;
    }
}
	